#ifndef EEDB_USER_INVENTORY_H
#define EEDB_USER_INVENTORY_H

#include <sqlpp11/table.h>
#include <sqlpp11/char_sequence.h>
#include <sqlpp11/column_types.h>

namespace eedb {

	namespace user_inventory_ {

		struct User_id {
			struct _alias_t {
				static constexpr const char _literal[] = R"("user_id")";
				using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
				template<typename T>
					struct _member_t {
						T user_id;
						T &operator()() { return user_id; }
						const T &operator()() const { return user_id; }
					};
			};

			using _traits = ::sqlpp::make_traits<::sqlpp::integer, sqlpp::tag::require_insert>;
		};

		struct Inventory_id {
			struct _alias_t {
				static constexpr const char _literal[] = R"("inventory_id")";
				using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
				template<typename T>
					struct _member_t {
						T inventory_id;
						T &operator()() { return inventory_id; }
						const T &operator()() const { return inventory_id; }
					};
			};

			using _traits = ::sqlpp::make_traits<::sqlpp::integer, sqlpp::tag::require_insert>;
		};
	}

	struct user_inventory : sqlpp::table_t<user_inventory,
				user_inventory_::User_id,
				user_inventory_::Inventory_id> {
		using _value_type = sqlpp::no_value_t;
		struct _alias_t {
			static constexpr const char _literal[] = R"("user_inventory")";
			using _name_t = sqlpp::make_char_sequence<sizeof(_literal), _literal>;
			template<typename T>
				struct _member_t {
					T user_inventory;
					T &operator()() { return user_inventory; }
					const T &operator()() const { return user_inventory; }
				};
		};
	};
}

#endif
